# ALEXIS 120, create variable with id-orders, from largest to smallest difference 
# between laterlization and detection threshold in main epxperiment, and set 
# option for saving figures (figtype)
# MN 2020-10-01


## Clear everything ------------------------------------------------------------
rm(list = ls()) # clear memory
graphics.off()  # clear all plots
cat("\014")     # clear console (same as Ctrl-L in console)
## ----------------------------------------------------------------------------


## Load stuff ------------------------------------------------------------------

# Load functions
source("analys/1_a120_functions.R")  # th_diff()

# Load MCMC data main experiment, one object per participant
load("analys/mcmc_main.RData")
## -----------------------------------------------------------------------------


## Order of IDs in terms of gap-degree -----------------------------------------

# Find id-number from file names
ids <- ls(envir=.GlobalEnv, pattern = paste('maindraws_id', sep = ''))
ids <- as.numeric(gsub("maindraws_id", "", ids))

# Function for calculating lat-det diff
meandiff <- function(id) {
  out <- apply(th_diff(id)[1, 3:9], 1, median)  # Gap in conditions ICI <= 48 ms
  names(out) <- id - 120000
  out
}

gap <- sort(sapply(ids, meandiff), decreasing = TRUE)
gaporder <- 120000 + as.numeric(names(gap))
## -----------------------------------------------------------------------------


## Set figure type -------------------------------------------------------------
figsave = 1  # 0 = don't save, show in Rstudio, 1 = save as pdf, 2 = save as png
## -----------------------------------------------------------------------------

## Remove loaded draws from posterior (they will be reloaded in other scripts)--
rm(list = (ls(envir=.GlobalEnv, pattern = paste('*draws*', sep = ''))))
## -----------------------------------------------------------------------------