data {
int<lower=1> N;
vector[N] x;
int<lower=0,upper=1> y[N];
int<lower=0,upper=1> z[N];
}
parameters {
real m1;
real<lower=0> w1;
real m2;
real<lower=0> w2;
real<lower=0> lambda1;
real<lower=0> lambda2;
}
model {
m1 ~ normal(-30,15);
w1 ~ gamma(2, 0.2);
m2 ~ normal(-30,15);
w2 ~ gamma(2, 0.2);
lambda1 ~ beta(1,99);
lambda2 ~ beta(1,99);
for (i in 1:N)
{
  y[i] ~ bernoulli(0.5 + (0.5-((1-z[i])*lambda1 + z[i]*lambda2))*Phi((x[i]-(m1*(1-z[i]) + m2*z[i]))/(w1*(1-z[i]) + w2*z[i])));
}
}
