# ALEXIS 120. Draw all figures for manuscript to JASA
#
# MN 2020-10-01


## Clear everything ------------------------------------------------------------
rm(list = ls()) # clear memory
graphics.off()  # clear all plots
cat("\014")     # clear console (same as Ctrl-L in console)
## -----------------------------------------------------------------------------


## Load stuff and run ----------------------------------------------------------

# Set variable figsave to decide how to save the figs (no save, pdf, or png), 
# figsave is defined in 2_a120_set_variables.R
source("analys/2_a120_set_variables.R")  

# Draw figs
source("analys/fig_stimulus_revised.R")  # Figs. 1
source("analys/fig_indplots.R")  # Fig. 2
source("analys/fig_grouped.R")  # Fig. 3
source("analys/fig_training_revised.R")  # Fig. 4
source("analys/fig_prepost.R")  # Fig. 5

# Print numbers for Table 1
source("analys/table_control.R")  # Table 1
tabledata
## -----------------------------------------------------------------------------