data {
int<lower=1> N;
int<lower=1> N_cond;
int<lower=1> N_task;
vector[N] x;
int<lower=1> cond[N];
int<lower=1> task[N];
int<lower=0,upper=1> y[N];
}
parameters {
real m[N_cond];
real<lower=0> w[N_cond];
real<lower=0,upper=1> lambda[N_task];
}
model {
vector[N] z;
m ~ normal(-30,30);
w ~ gamma(2, 0.2);
lambda ~ beta(1, 99);
for (i in 1:N)
{
  z[i] = (x[i] - m[cond[i]])/w[cond[i]];
  y[i] ~ bernoulli(0.5 + (0.5-lambda[task[i]])*Phi(z[i]));
}
}
